Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class AbstractEndpoint

    java.lang.Object
      org.apache.tomcat.util.net.AbstractEndpoint

Direct Known Subclasses:
  AprEndpoint, JIoEndpoint, NioEndpoint

    public abstract class AbstractEndpoint

extends java.lang.Object

Constructor Summary
`AbstractEndpoint()`

Method Summary
`abstract int` | `getLocalPort()`
`int` | `getMaxHeaderCount()`
`void` | `setMaxHeaderCount(int maxHeaderCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEndpoint

    public AbstractEndpoint()

Method Detail

### getMaxHeaderCount

    public int getMaxHeaderCount()

### setMaxHeaderCount

    public void setMaxHeaderCount(int maxHeaderCount)

### getLocalPort

    public abstract int getLocalPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.